summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/copasi/README6
-rw-r--r--academic/copasi/copasi.SlackBuild30
-rw-r--r--academic/copasi/copasi.info12
3 files changed, 25 insertions, 23 deletions
diff --git a/academic/copasi/README b/academic/copasi/README
index 4da8b74120..c640a01c87 100644
--- a/academic/copasi/README
+++ b/academic/copasi/README
@@ -12,6 +12,6 @@ command line version is also included that allows for processing
computations in batch mode.
COPASI is a collaboration between research groups at the Biocomplexity
-Institute at Virginia Tech, University of Heidelberg, University of
-Connecticut, and previously the University of Manchester and the
-EML-Research.
+Institute and Initiative at University of Virginia, University of
+Heidelberg, University of Connecticut, and previously the University
+of Manchester, Virginia Tech, and the EML-Research.
diff --git a/academic/copasi/copasi.SlackBuild b/academic/copasi/copasi.SlackBuild
index d446a59979..ea41da828c 100644
--- a/academic/copasi/copasi.SlackBuild
+++ b/academic/copasi/copasi.SlackBuild
@@ -23,14 +23,25 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=copasi
-VERSION=${VERSION:-4.27.217}
+VERSION=${VERSION:-4.28.226}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-case "$(uname -m)" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$(uname -m) ;;
+if [ -z "$ARCH" ]; then
+ ARCH="$(uname -m)"
+fi
+
+case "$ARCH" in
+ i?86)
+ BINNAME="Linux-32bit"
+ ;;
+ x86_64)
+ BINNAME="Linux-64bit"
+ ;;
+ *)
+ echo "$ARCH is not supported by the $PRGNAM build script..."
+ exit 1
+ ;;
esac
CWD=$(pwd)
@@ -38,15 +49,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- BINNAME="Linux-32bit"
-elif [ "$ARCH" = "x86_64" ]; then
- BINNAME="Linux-64bit"
-else
- echo "$ARCH is not supported by the $PRGNAM build script..."
- exit 1
-fi
-
# This is a repackage of a binary distribution
# CFLAGS are not required
diff --git a/academic/copasi/copasi.info b/academic/copasi/copasi.info
index 6e5b69b94a..93b7729f70 100644
--- a/academic/copasi/copasi.info
+++ b/academic/copasi/copasi.info
@@ -1,10 +1,10 @@
PRGNAM="copasi"
-VERSION="4.27.217"
-HOMEPAGE="http://www.copasi.org"
-DOWNLOAD="https://github.com/copasi/COPASI/releases/download/Build-217/COPASI-4.27.217-Linux-32bit.tar.gz"
-MD5SUM="a218e91000bba6ca3071feddd95fd0d2"
-DOWNLOAD_x86_64="https://github.com/copasi/COPASI/releases/download/Build-217/COPASI-4.27.217-Linux-64bit.tar.gz"
-MD5SUM_x86_64="f9fd439a6b6a9f60bb2b54c666235aec"
+VERSION="4.28.226"
+HOMEPAGE="http://copasi.org"
+DOWNLOAD="https://github.com/copasi/COPASI/releases/download/Build-226/COPASI-4.28.226-Linux-32bit.tar.gz"
+MD5SUM="3fd18c60296def1158295b4b39a41085"
+DOWNLOAD_x86_64="https://github.com/copasi/COPASI/releases/download/Build-226/COPASI-4.28.226-Linux-64bit.tar.gz"
+MD5SUM_x86_64="9709892e02b9ec7e9ccb0d9ec7e8b08b"
REQUIRES=""
MAINTAINER="Pedro Mendes"
EMAIL="pedro@gepasi.org"